<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Show Person</title>
</head>
<body>
<p th:text="${person.getName() + ', ' + person.getAge()}">VALUE</p>
<div>

    <ul>
        <th:block th:each="book, iterStat : ${person.getListOfBooks()}">
            <li th:if="${checkedRent[iterStat.index]}">
            <span style="color: red;">
                <span th:text="${book.getBookName()}"></span>,
                <span th:text="${book.getAuthor()}"></span>,
                <span th:text="${book.getYear()}"></span>
                (Book [[${iterStat.index}]] is overdue)
            </span>
            </li>
            <li th:unless="${checkedRent[iterStat.index]}">
            <span>
                <span th:text="${book.getBookName()}"></span>,
                <span th:text="${book.getAuthor()}"></span>,
                <span th:text="${book.getYear()}"></span>
                (Book [[${iterStat.index}]] is not overdue)
            </span>
            </li>
        </th:block>
    </ul>
    <p th:unless="${not #lists.isEmpty(person.getListOfBooks())}">Этот человек пока не брал книги</p>
</div>

<a th:href="@{/people/{id}/edit(id=${person.getId()})}">Edit</a>

<form th:method="DELETE" th:action="@{/people/{id}(id=${person.getId()})}">
    <input type="submit" value="Delete"/>
</form>
</body>
</html>